Loading...
Searching...
No Matches
apr_md5.h File Reference

APR MD5 Routines. More...

`#include "apu.h"`
`#include "apr_xlate.h"`
Include dependency graph for apr_md5.h:

Go to the source code of this file.

## Data Structures

struct | apr_md5_ctx_t

## Macros

#define | APR_MD5_DIGESTSIZE 16

## Typedefs

typedef struct apr_md5_ctx_t | apr_md5_ctx_t

## Functions

apr_status_t | apr_md5_init (apr_md5_ctx_t *context)
apr_status_t | apr_md5_set_xlate (apr_md5_ctx_t *context, apr_xlate_t *xlate)
apr_status_t | apr_md5_update (apr_md5_ctx_t *context, const void *input, apr_size_t inputLen)
apr_status_t | apr_md5_final (unsigned char digest[APR_MD5_DIGESTSIZE], apr_md5_ctx_t *context)
apr_status_t | apr_md5 (unsigned char digest[APR_MD5_DIGESTSIZE], const void *input, apr_size_t inputLen)
apr_status_t | apr_md5_encode (const char *password, const char *salt, char *result, apr_size_t nbytes)
apr_status_t | apr_bcrypt_encode (const char *pw, unsigned int count, const unsigned char *salt, apr_size_t salt_len, char *out, apr_size_t out_len)
apr_status_t | apr_password_validate (const char *passwd, const char *hash)

## Detailed Description

APR MD5 Routines.